<template>
  <div>
    <SidebarRegister />
    <div class="container-register">
      <div class="icon-step">
        <svg
          xmlns="http://www.w3.org/2000/svg"
          width="26"
          height="26"
          fill="currentColor"
          class="bi bi-credit-card"
          viewBox="0 0 16 16"
        >
          <path
            d="M0 4a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V4zm2-1a1 1 0 0 0-1 1v1h14V4a1 1 0 0 0-1-1H2zm13 4H1v5a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V7z"
          />
          <path
            d="M2 10a1 1 0 0 1 1-1h1a1 1 0 0 1 1 1v1a1 1 0 0 1-1 1H3a1 1 0 0 1-1-1v-1z"
          />
        </svg>
      </div>
      <h3 class="my-4 fw-bold title">Pembayaran</h3>
      <div class="card">
        <div class="card-body">
          <div>
            <p class="fw-bold">INFORMASI PESERTA DAN IURAN</p>
            <small
              >Berikut rincian data Bukan Penerima Upah (BPU) dan iuran yang
              harus dibayar.</small
            >
          </div>
          <table class="table mt-4">
            <tbody>
              <tr>
                <td width="40%">Nama Peserta</td>
                <td width="10%">:</td>
                <td>{{ participant.name }}</td>
              </tr>
              <tr>
                <td>Alamat</td>
                <td>:</td>
                <td>{{ participant.address }}</td>
              </tr>
              <tr>
                <td>Penghasilan rata-rata perbulan</td>
                <td>:</td>
                <td>{{ job.avrIncomeMonthly }}</td>
              </tr>
              <tr>
                <td>Periode Pembayaran</td>
                <td>:</td>
                <td>{{ paymentPeriod.typePaymentPeriod }} bulan</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <div class="card mt-4">
        <div
          class="card-header text-center bg-info text-white py-4 border-bottom-0"
          style="background-color: #4098ff !important"
        >
          <p>Iuran yang harus dibayar</p>
          <h4>{{ totalBayar }}</h4>
        </div>
        <ul class="list-group list-group-flush my-3">
          <li class="list-group-item d-flex justify-content-between">
            <div>
              <small class="fw-bold">Program</small>
            </div>
            <div>
              <small class="fw-bold">Total</small>
            </div>
          </li>
          <li
            class="list-group-item d-flex justify-content-between"
            v-if="participant.idProgram === 2"
          >
            <div>
              <p class="fw-bold">JHT</p>
              <p>Jaminan Hari Tua</p>
            </div>
            <div>
              <p>{{ jht }}</p>
            </div>
          </li>
          <li class="list-group-item d-flex justify-content-between">
            <div>
              <p class="fw-bold">JKK</p>
              <p>Jaminan Kecelakaan Kerja</p>
            </div>
            <div>
              <p>{{ jkk }}</p>
            </div>
          </li>
          <li class="list-group-item d-flex justify-content-between">
            <div>
              <p class="fw-bold">JKM</p>
              <p>Jaminan Kematian</p>
            </div>
            <div>
              <p>{{ jkm }}</p>
            </div>
          </li>
        </ul>
      </div>
      <div class="d-flex my-4 justify-content-end gap-2 button-action">
        <button type="button" class="btn btn-secondary" @click="print">
          Print
        </button>
        <!-- Button trigger modal -->
        <button
          type="button"
          class="btn btn-primary"
          data-bs-toggle="modal"
          data-bs-target="#exampleModal"
        >
          Metode Pembayaran
        </button>

        <!-- Modal -->
        <div
          class="modal fade"
          id="exampleModal"
          tabindex="-1"
          aria-labelledby="exampleModalLabel"
          aria-hidden="true"
        >
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header p-4">
                <h5 class="modal-title fw-bold" id="exampleModalLabel">
                  Metode Pembayaran
                </h5>
                <button
                  type="button"
                  class="btn-close"
                  data-bs-dismiss="modal"
                  aria-label="Close"
                ></button>
              </div>
              <div class="modal-body p-4">
                <div>
                  <div class="d-flex">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      width="16"
                      height="16"
                      fill="currentColor"
                      class="bi bi-bank"
                      viewBox="0 0 16 16"
                    >
                      <path
                        d="m8 0 6.61 3h.89a.5.5 0 0 1 .5.5v2a.5.5 0 0 1-.5.5H15v7a.5.5 0 0 1 .485.38l.5 2a.498.498 0 0 1-.485.62H.5a.498.498 0 0 1-.485-.62l.5-2A.501.501 0 0 1 1 13V6H.5a.5.5 0 0 1-.5-.5v-2A.5.5 0 0 1 .5 3h.89L8 0ZM3.777 3h8.447L8 1 3.777 3ZM2 6v7h1V6H2Zm2 0v7h2.5V6H4Zm3.5 0v7h1V6h-1Zm2 0v7H12V6H9.5ZM13 6v7h1V6h-1Zm2-1V4H1v1h14Zm-.39 9H1.39l-.25 1h13.72l-.25-1Z"
                      />
                    </svg>
                    <h6 class="fw-bold mb-3 ps-3">
                      Kanal Pembayaran Perbankan
                    </h6>
                  </div>
                  <ol class="ps-5">
                    <li>
                      Bank Mandiri (ATM, Teller, Internet Banking, Mandiri
                      online)
                    </li>
                    <li>
                      Kantor SPO (Service Point Office) Bank kerjasama (Bank
                      Mandiri, BNI, BTN, BJB, BRI)
                    </li>
                    <li>BCA (Teller, Klik BCA Bisnis)</li>
                    <li>BNI (ATM, Teller, Internet Banking, Mobile Banking)</li>
                    <li>BTN (Teller, ATM)</li>
                    <li>Bank CIMB NIAGA (Teller, BIZchannel CIMB)</li>
                  </ol>
                </div>

                <div>
                  <div class="d-flex">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      width="16"
                      height="16"
                      fill="currentColor"
                      class="bi bi-cash-coin"
                      viewBox="0 0 16 16"
                    >
                      <path
                        fill-rule="evenodd"
                        d="M11 15a4 4 0 1 0 0-8 4 4 0 0 0 0 8zm5-4a5 5 0 1 1-10 0 5 5 0 0 1 10 0z"
                      />
                      <path
                        d="M9.438 11.944c.047.596.518 1.06 1.363 1.116v.44h.375v-.443c.875-.061 1.386-.529 1.386-1.207 0-.618-.39-.936-1.09-1.1l-.296-.07v-1.2c.376.043.614.248.671.532h.658c-.047-.575-.54-1.024-1.329-1.073V8.5h-.375v.45c-.747.073-1.255.522-1.255 1.158 0 .562.378.92 1.007 1.066l.248.061v1.272c-.384-.058-.639-.27-.696-.563h-.668zm1.36-1.354c-.369-.085-.569-.26-.569-.522 0-.294.216-.514.572-.578v1.1h-.003zm.432.746c.449.104.655.272.655.569 0 .339-.257.571-.709.614v-1.195l.054.012z"
                      />
                      <path
                        d="M1 0a1 1 0 0 0-1 1v8a1 1 0 0 0 1 1h4.083c.058-.344.145-.678.258-1H3a2 2 0 0 0-2-2V3a2 2 0 0 0 2-2h10a2 2 0 0 0 2 2v3.528c.38.34.717.728 1 1.154V1a1 1 0 0 0-1-1H1z"
                      />
                      <path
                        d="M9.998 5.083 10 5a2 2 0 1 0-3.132 1.65 5.982 5.982 0 0 1 3.13-1.567z"
                      />
                    </svg>
                    <h6 class="fw-bold mb-3 ps-3">Non Perbankan</h6>
                  </div>
                  <ol class="ps-5">
                    <li>Gerai Indomaret</li>
                    <li>Alfa group</li>
                    <li>Tokopedia</li>
                  </ol>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import SidebarRegister from "@/components/SidebarRegister.vue";
import axios from "axios";

export default {
  name: "RegisterStep4View",
  components: {
    SidebarRegister,
  },
  data() {
    return {
      job: {},
      participant: {},
      paymentPeriod: {},
      jkk: "",
      jht: "",
      jkm: "",
    };
  },
  computed: {
    totalPay() {
      return (
        this.participant.totalIuranJht +
        this.participant.totalIuranJkk +
        this.participant.totalIuranJkm
      );
    },
  },
  methods: {
    setData() {
      this.jkk = this.setRupiah(this.participant.totalIuranJkk);
      this.jht = this.setRupiah(this.participant.totalIuranJht);
      this.jkm = this.setRupiah(this.participant.totalIuranJkm);
      this.totalBayar = this.setRupiah(this.participant.totalBayar);
    },
    print() {
      window.print();
    },
    setRupiah(number) {
      var result = new Intl.NumberFormat("id-ID", {
        style: "currency",
        currency: "IDR",
      }).format(parseInt(number));
      return result;
    },
    getParticipant() {
      axios
        .get(
          "http://localhost:3000/participant/detail/" +
            this.$route.query.idParticipant
        )
        .then((response) => {
          this.participant = response.data.data[0];
          this.getJob();
          this.getPaymentPeriod();
          this.setData();
        })
        .catch((error) => {
          console.log(error);
        });
    },
    getJob() {
      axios
        .get("http://localhost:3000/job/detail/" + this.participant.idJob)
        .then((response) => {
          this.job = response.data.data[0];
        })
        .catch((error) => {
          console.log(error);
        });
    },
    getPaymentPeriod() {
      axios
        .get(
          "http://localhost:3000/period/detail/" +
            this.participant.idPaymentPeriod
        )
        .then((response) => {
          this.paymentPeriod = response.data.data[0];
        })
        .catch((error) => {
          console.log(error);
        });
    },
  },
  created() {
    this.getParticipant();
  },
};
</script>

<style>
</style>